[Pkg-shadow-commits] r3245 - debian/trunk/tests/chage/01

Nicolas FRANÇOIS nekral-guest at alioth.debian.org
Thu Aug 26 19:39:03 UTC 2010


Author: nekral-guest
Date: 2010-08-26 19:39:01 +0000 (Thu, 26 Aug 2010)
New Revision: 3245

Modified:
   debian/trunk/tests/chage/01/run
Log:
 * Support for dash
 * chage usage is sent to stdout instead of stderr


Modified: debian/trunk/tests/chage/01/run
===================================================================
--- debian/trunk/tests/chage/01/run	2010-08-26 19:37:38 UTC (rev 3244)
+++ debian/trunk/tests/chage/01/run	2010-08-26 19:39:01 UTC (rev 3245)
@@ -39,7 +39,10 @@
 # restore the files on exit
 trap 'if [ "$?" != "0" ]; then echo "FAIL"; fi; restore' 0
 
-cp data/{passwd,group,shadow,gshadow} /etc/
+for i in passwd group shadow gshadow
+do
+	cp data/$i /etc
+done
 
 echo -n "testing option -l"
 chage -l myuser1 > tmp/out
@@ -195,7 +198,7 @@
 diff -au data/chage7b tmp/out
 
 echo "usage"
-chage -h 2> tmp/out || {
+chage -h > tmp/out || {
 	if [ "$?" != "2" ]; then false; fi
 }
 diff -au data/usage tmp/out




More information about the Pkg-shadow-commits mailing list